commit:     7dc6b54ec3e70aa941e9c4ed57f1c11fa758aeba
Author:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 26 10:50:11 2018 +0000
Commit:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
CommitDate: Thu Apr 26 11:22:18 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7dc6b54e

sys-apps/policycoreutils: bump to 2.8_rc1

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 sys-apps/policycoreutils/Manifest                  |   1 +
 .../policycoreutils/policycoreutils-2.8_rc1.ebuild | 179 +++++++++++++++++++++
 2 files changed, 180 insertions(+)

diff --git a/sys-apps/policycoreutils/Manifest 
b/sys-apps/policycoreutils/Manifest
index 38aec9564a6..14e6468a22d 100644
--- a/sys-apps/policycoreutils/Manifest
+++ b/sys-apps/policycoreutils/Manifest
@@ -1,2 +1,3 @@
 DIST policycoreutils-2.7.tar.gz 2796707 BLAKE2B 
4b1c03f2d12252b453950c3d6bcde75780926a1b91263d3881f741399c5630c707f0429b9b144c657b017b7b0c1500b63b6463610dea3caaef8c2f7c3f69fd8f
 SHA512 
ce97d659f72058fd23d8dab8db98fc7c0003806a636c521fa15da465d7358d40ccc8e3eaa9675f00a9b0b8aaa1465d3fb650bc0ebbbf00164e121230673256fb
+DIST policycoreutils-2.8-rc1.tar.gz 2797172 BLAKE2B 
f75549e05af02038481807e78267b0af2df4d2c8ab5568e9f4be853c742e358ce3c6fd4a4f2f56e022aa76235b41a80676eee342cd79f43be2270b5753151a71
 SHA512 
252b1a2784221cd1b960d584e17c3c116b46a36ef4900510f8caf34908784dd1d19d2a5d2c394aaa4d920485183365af2ab23056eb5867ccbaf284e2ca8612cd
 DIST policycoreutils-extra-1.36.tar.bz2 8830 BLAKE2B 
6d98e41ea379d3e95221a6e53d8a8b144e4e15ca5581381e76a529dbbaca304d5587b30419797c8c70cbd7c2b2588e5ecd62adcf97294e429950899c1c318346
 SHA512 
c6a18e6fb2d65f51dc55b88907f23241f2fbfc033d3d2888b109596d9ed31d509b2c93456727ea4d1f98544831afb15c449ff72d6aedf93b9e474b27817f7fb3

diff --git a/sys-apps/policycoreutils/policycoreutils-2.8_rc1.ebuild 
b/sys-apps/policycoreutils/policycoreutils-2.8_rc1.ebuild
new file mode 100644
index 00000000000..aebedfb6cd4
--- /dev/null
+++ b/sys-apps/policycoreutils/policycoreutils-2.8_rc1.ebuild
@@ -0,0 +1,179 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+PYTHON_REQ_USE="xml"
+
+inherit multilib python-r1 toolchain-funcs bash-completion-r1
+
+MY_P="${P//_/-}"
+
+MY_RELEASEDATE="20180419"
+EXTRAS_VER="1.36"
+SEMNG_VER="${PV}"
+SELNX_VER="${PV}"
+SEPOL_VER="${PV}"
+
+IUSE="audit pam dbus"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DESCRIPTION="SELinux core utilities"
+HOMEPAGE="https://github.com/SELinuxProject/selinux/wiki";
+
+if [[ ${PV} == 9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/SELinuxProject/selinux.git";
+       
SRC_URI="https://dev.gentoo.org/~perfinion/distfiles/policycoreutils-extra-${EXTRAS_VER}.tar.bz2";
+       S1="${WORKDIR}/${MY_P}/${PN}"
+       S2="${WORKDIR}/policycoreutils-extra"
+       S="${S1}"
+else
+       
SRC_URI="https://raw.githubusercontent.com/wiki/SELinuxProject/selinux/files/releases/${MY_RELEASEDATE}/${MY_P}.tar.gz
+               
https://dev.gentoo.org/~perfinion/distfiles/policycoreutils-extra-${EXTRAS_VER}.tar.bz2";
+       KEYWORDS="~amd64 ~arm64 ~mips ~x86"
+       S1="${WORKDIR}/${MY_P}"
+       S2="${WORKDIR}/policycoreutils-extra"
+       S="${S1}"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+
+DEPEND=">=sys-libs/libselinux-${SELNX_VER}:=[python,${PYTHON_USEDEP}]
+       >=sys-libs/glibc-2.4
+       >=sys-libs/libcap-1.10-r10:=
+       >=sys-libs/libsemanage-${SEMNG_VER}:=[python,${PYTHON_USEDEP}]
+       sys-libs/libcap-ng:=
+       >=sys-libs/libsepol-${SEPOL_VER}:=
+       >=app-admin/setools-4.1.1[${PYTHON_USEDEP}]
+       sys-devel/gettext
+       dev-python/ipy[${PYTHON_USEDEP}]
+       dbus? (
+               sys-apps/dbus
+               dev-libs/dbus-glib:=
+       )
+       audit? ( >=sys-process/audit-1.5.1[python,${PYTHON_USEDEP}] )
+       pam? ( sys-libs/pam:= )
+       ${PYTHON_DEPS}
+       !<sec-policy/selinux-base-policy-2.20151208-r6"
+# 2.20151208-r6 and higher has support for new setfiles
+
+### libcgroup -> seunshare
+### dbus -> restorecond
+
+# pax-utils for scanelf used by rlpkg
+RDEPEND="${DEPEND}
+       app-misc/pax-utils
+       !<sys-apps/openrc-0.14"
+
+PDEPEND="sys-apps/semodule-utils
+       sys-apps/selinux-python"
+
+src_unpack() {
+       # Override default one because we need the SRC_URI ones even in case of 
9999 ebuilds
+       default
+       if [[ ${PV} == 9999 ]] ; then
+               git-r3_src_unpack
+       fi
+}
+
+src_prepare() {
+       S="${S1}"
+       cd "${S}" || die "Failed to switch to ${S}"
+       if [[ ${PV} != 9999 ]] ; then
+               # If needed for live ebuilds please use /etc/portage/patches
+               eapply 
"${FILESDIR}/policycoreutils-2.7-0001-newrole-not-suid.patch"
+       fi
+
+       # rlpkg is more useful than fixfiles
+       sed -i -e '/^all/s/fixfiles//' "${S}/scripts/Makefile" \
+               || die "fixfiles sed 1 failed"
+       sed -i -e '/fixfiles/d' "${S}/scripts/Makefile" \
+               || die "fixfiles sed 2 failed"
+
+       eapply_user
+
+       sed -i 's/-Werror//g' "${S1}"/*/Makefile || die "Failed to remove 
Werror"
+
+       python_copy_sources
+       # Our extra code is outside the regular directory, so set it to the 
extra
+       # directory. We really should optimize this as it is ugly, but the extra
+       # code is needed for Gentoo at the same time that policycoreutils is 
present
+       # (so we cannot use an additional package for now).
+       S="${S2}"
+       python_copy_sources
+}
+
+src_compile() {
+       building() {
+               emake -C "${BUILD_DIR}" \
+                       AUDIT_LOG_PRIVS="y" \
+                       AUDITH="$(usex audit y n)" \
+                       PAMH="$(usex pam y n)" \
+                       INOTIFYH="$(usex dbus y n)" \
+                       SESANDBOX="n" \
+                       CC="$(tc-getCC)" \
+                       LIBDIR="\$(PREFIX)/$(get_libdir)"
+       }
+       S="${S1}" # Regular policycoreutils
+       python_foreach_impl building
+       S="${S2}" # Extra set
+       python_foreach_impl building
+}
+
+src_install() {
+       # Python scripts are present in many places. There are no extension 
modules.
+       installation-policycoreutils() {
+               einfo "Installing policycoreutils"
+               emake -C "${BUILD_DIR}" DESTDIR="${D}" \
+                       AUDIT_LOG_PRIVS="y" \
+                       AUDITH="$(usex audit y n)" \
+                       PAMH="$(usex pam y n)" \
+                       INOTIFYH="$(usex dbus y n)" \
+                       SESANDBOX="n" \
+                       CC="$(tc-getCC)" \
+                       LIBDIR="\$(PREFIX)/$(get_libdir)" \
+                       install
+               python_optimize
+       }
+
+       installation-extras() {
+               einfo "Installing policycoreutils-extra"
+               emake -C "${BUILD_DIR}" \
+                       DESTDIR="${D}" \
+                       install
+               python_optimize
+       }
+
+       S="${S1}" # policycoreutils
+       python_foreach_impl installation-policycoreutils
+       S="${S2}" # extras
+       python_foreach_impl installation-extras
+       S="${S1}" # back for later
+
+       # remove redhat-style init script
+       rm -fR "${D}/etc/rc.d" || die
+
+       # compatibility symlinks
+       dosym /sbin/setfiles /usr/sbin/setfiles
+       bashcomp_alias setsebool getsebool
+
+       # location for policy definitions
+       dodir /var/lib/selinux
+       keepdir /var/lib/selinux
+
+       # Set version-specific scripts
+       for pyscript in rlpkg; do
+         python_replicate_script "${ED}/usr/sbin/${pyscript}"
+       done
+}
+
+pkg_postinst() {
+       for POLICY_TYPE in ${POLICY_TYPES} ; do
+               # There have been some changes to the policy store, rebuilding 
now.
+               # https://marc.info/?l=selinux&m=143757277819717&w=2
+               einfo "Rebuilding store ${POLICY_TYPE} (without re-loading)."
+               semodule -s "${POLICY_TYPE}" -n -B || die "Failed to rebuild 
policy store ${POLICY_TYPE}"
+       done
+}

Reply via email to